Date: Tuesday, March 6, 2018 @ 22:15:40
  Author: svenstaro
Revision: 303340

archrelease: copy trunk to community-x86_64

Added:
  tensorboard/repos/community-x86_64/PKGBUILD
    (from rev 303339, tensorboard/trunk/PKGBUILD)
Deleted:
  tensorboard/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  108 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 54 insertions(+), 54 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD    2018-03-06 22:15:35 UTC (rev 303339)
+++ PKGBUILD    2018-03-06 22:15:40 UTC (rev 303340)
@@ -1,54 +0,0 @@
-# $Id: PKGBUILD 244979 2017-07-13 15:39:06Z svenstaro $
-# Maintainer: Sven-Hendrik Haase <s...@lutzhaase.com>
-
-pkgname=tensorboard
-pkgver=1.5.0
-pkgrel=1
-pkgdesc="TensorFlow's Visualization Toolkit"
-url='https://github.com/tensorflow/tensorboard'
-arch=('x86_64')
-license=('APACHE')
-depends=('python' 'python-werkzeug' 'python-numpy' 'python-bleach' 
'python-wheel' 'python-markdown'
-         'python-html5lib' 'python-protobuf' 'python-setuptools' 
'python-tensorflow')
-makedepends=('bazel')
-source=("https://github.com/tensorflow/tensorboard/archive/${pkgver}.tar.gz";)
-sha512sums=('dbacd0e9d1604ba4ff6c5c61fd2122cd3181e57a7d7256f29d15b13ef7ab7aceb9f443a0c1ac120beca8313b4dc4d96c03dc48d81d3d9ecc83444bef6a7fd73f')
-
-build() {
-  cd "$pkgname-$pkgver"
-
-  bazel build tensorboard:tensorboard
-  bazel build //tensorboard/pip_package:build_pip_package
-
-  mkdir pypackage
-  cp -R 
bazel-bin/tensorboard/pip_package/build_pip_package.runfiles/org_tensorflow_tensorboard/external
 pypackage
-  cp -R 
bazel-bin/tensorboard/pip_package/build_pip_package.runfiles/org_tensorflow_tensorboard/tensorboard
 pypackage
-  cp tensorboard/pip_package/MANIFEST.in pypackage
-  cp README.md pypackage
-  cp tensorboard/pip_package/setup.py pypackage
-  cd pypackage
-  python setup.py build
-}
-
-package() {
-  cd "$pkgname-$pkgver"
-
-  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
-
-  cd pypackage
-  python setup.py install --root="$pkgdir" --optimize=1
-
-  rm -rf "$pkgdir"/usr/lib/python3.6/site-packages/external/
-
-  
_requires="$pkgdir"/usr/lib/python3.6/site-packages/tensorflow_tensorboard-${pkgver}-py3.6.egg-info/requires.txt
-  # This is ugly: We need to patch it to use current bleach and html5lib
-  # because old ones are not even compatible with Python 3.6 and we don't have
-  # those in Arch of course.
-  sed -i 's/bleach==.*/bleach/' ${_requires}
-  sed -i 's/html5lib==.*/html5lib/' ${_requires}
-  # Other ugly hack: workaround for issues 650
-  # https://github.com/tensorflow/tensorboard/issues/650
-  sed -i '/^futures/d' ${_requires}
-}
-
-# vim:set ts=2 sw=2 et:

Copied: tensorboard/repos/community-x86_64/PKGBUILD (from rev 303339, 
tensorboard/trunk/PKGBUILD)
===================================================================
--- PKGBUILD                            (rev 0)
+++ PKGBUILD    2018-03-06 22:15:40 UTC (rev 303340)
@@ -0,0 +1,54 @@
+# $Id: PKGBUILD 244979 2017-07-13 15:39:06Z svenstaro $
+# Maintainer: Sven-Hendrik Haase <s...@lutzhaase.com>
+
+pkgname=tensorboard
+pkgver=1.6.0
+pkgrel=1
+pkgdesc="TensorFlow's Visualization Toolkit"
+url='https://github.com/tensorflow/tensorboard'
+arch=('x86_64')
+license=('APACHE')
+depends=('python' 'python-werkzeug' 'python-numpy' 'python-bleach' 
'python-wheel' 'python-markdown'
+         'python-html5lib' 'python-protobuf' 'python-setuptools' 
'python-tensorflow')
+makedepends=('bazel' 'tree')
+source=("https://github.com/tensorflow/tensorboard/archive/${pkgver}.tar.gz";)
+sha512sums=('aa15a287a4fc8fa391a0da49eea43741a73953671d1b646f9193b5527f5ab04c99dc95ffa7d443536ae50638acac6c372d0faf7ba8714f40727ef7cc26975e43')
+
+build() {
+  cd "$pkgname-$pkgver"
+
+  bazel build tensorboard:tensorboard
+  bazel build //tensorboard/pip_package:build_pip_package
+
+  mkdir pypackage
+  cp -R 
bazel-bin/tensorboard/pip_package/build_pip_package.runfiles/org_tensorflow_tensorboard/external
 pypackage
+  cp -R 
bazel-bin/tensorboard/pip_package/build_pip_package.runfiles/org_tensorflow_tensorboard/tensorboard
 pypackage
+  cp tensorboard/pip_package/MANIFEST.in pypackage
+  cp README.md pypackage
+  cp tensorboard/pip_package/setup.py pypackage
+  cd pypackage
+  python setup.py build
+}
+
+package() {
+  cd "$pkgname-$pkgver"
+
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+
+  cd pypackage
+  python setup.py install --root="$pkgdir" --optimize=1
+
+  rm -rf "$pkgdir"/usr/lib/python3.6/site-packages/external/
+
+  
_requires="$pkgdir"/usr/lib/python3.6/site-packages/tensorboard-1.6.0-py3.6.egg-info/requires.txt
+  # This is ugly: We need to patch it to use current bleach and html5lib
+  # because old ones are not even compatible with Python 3.6 and we don't have
+  # those in Arch of course.
+  sed -i 's/bleach==.*/bleach/' ${_requires}
+  sed -i 's/html5lib==.*/html5lib/' ${_requires}
+  # Other ugly hack: workaround for issues 650
+  # https://github.com/tensorflow/tensorboard/issues/650
+  sed -i '/^futures/d' ${_requires}
+}
+
+# vim:set ts=2 sw=2 et:

Reply via email to